openapi: 3.0.0
info:
    version: "1.101.0.1"
    title: API REST Servicios CGES
    description: >
        <h3>CMS</h3>
        <p>Este apartado de la definición recoge todas las operaciones de consulta, creación, modficación y/o eliminación sobre entidades de CMS.</p>
        <ul>
            <li>Entidades de proyectos</li>
            <li>Entidades de sistemas</li>
            <li>Recursos de infraestructura</li>
            <li>Tablas maestras de CMS</li>
        </ul>
        <p>
        Se incluye un apartado de tablas maestras de CMS para consultas auxiliares.<br/>
        También puede aplicar el uso de otros atributos disponibles en el apartado de tablas maestras genéricas.<br/>
        Para el resto de consultas de entidades necesarias, puede consultar los apartados de la definición correspondientes.<br/>
        <br/>
        Incluye también los métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: https://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:
    
    #Acceso al sistema mediante tokens
    
    /accesos/token:
        $ref: './paths_accesos_token.yaml'
    /accesos/jwt/keys:
        $ref: './paths_accesos_jwt_keys.yaml'
        
    #Entidades de proyectos
    
    /cgescms/aplicaciones:
        $ref: './paths_cges_cms_aplicaciones.yaml'
    /cgescms/aplicaciones/{uuidAplicacion}:
        $ref: './paths_cges_cms_aplicaciones_id.yaml'
    /cgescms/aplicaciones/{uuidAplicacion}/areasfuncionales:
        $ref: './paths_cges_cms_aplicaciones_id_areasfuncionales.yaml'
    /cgescms/aplicaciones/{uuidAplicacion}/areasfuncionales/{uuidAreafuncional}:
        $ref: './paths_cges_cms_aplicaciones_id_areasfuncionales_id.yaml'  
    /cgescms/aplicaciones/plataforma:    
        $ref: './paths_cges_cms_aplicaciones_plataforma.yaml'  
    /cgescms/areasfuncionales:
        $ref: './paths_cges_cms_areasfuncionales.yaml' 
    /cgescms/areasfuncionales/{uuidAreaFuncional}:
        $ref: './paths_cges_cms_areasfuncionales_id.yaml'
    /cgescms/componentes:
        $ref: './paths_cges_cms_componentes.yaml'
    /cgescms/componentes/{uuidComponente}:
        $ref: './paths_cges_cms_componentes_id.yaml'
    /cgescms/componentes/tipos:
        $ref: './paths_cges_cms_componentes_tipos.yaml'
    /cgescms/suiteaplicaciones:
        $ref: './paths_cges_cms_suiteaplicaciones.yaml' 
    /cgescms/suiteaplicaciones/{uuidSuite}:
        $ref: './paths_cges_cms_suiteaplicaciones_id.yaml' 
    /cgescms/versiones:
        $ref: './paths_cges_cms_versiones.yaml'
    /cgescms/versiones/{idVersion}/relacionadas:
        $ref: './paths_cges_cms_versiones_id_relacionadas.yaml'
    /cgescms/versiones/{idVersion}/relgrplogentplats:
        $ref: './paths_cges_cms_versiones_id_relgrplogentplats.yaml'
    /cgescms/versiones/{idVersion}/relgrplogentplats/{idRelGrpLogEntPlat}:
        $ref: './paths_cges_cms_versiones_id_relgrplogentplats_id.yaml' 
    /cgescms/versiones/relgrplogentplats:
        $ref: './paths_cges_cms_versiones_relgrplogentplats.yaml' 

    #Entidades de sistemas
        
    /cgescms/agrupacionplataformas:
        $ref: './paths_cges_cms_agrupacionplataformas.yaml'
    /cgescms/agrupacionplataformas/{uuidAgrupacionPlataformas}:
        $ref: './paths_cges_cms_agrupacionplataformas_id.yaml'   
    /cgescms/agrupacionplataformas/{uuidAgrupacionPlataformas}/plataformas:
        $ref: './paths_cges_cms_agrupacionplataformas_id_plataformas.yaml' 
    /cgescms/agrupacionplataformas/{uuidAgrupacionPlataformas}/plataformas/{uuidPlataforma}:
        $ref: './paths_cges_cms_agrupacionplataformas_id_plataformas_id.yaml' 
    /cgescms/catalogossoftware:
        $ref: './paths_cges_cms_catalogossoftware.yaml' 
    /cgescms/catalogossoftware/{uuidCatalogoSoftware}:  
        $ref: './paths_cges_cms_catalogossoftware_id.yaml'
    /cgescms/esquemas:    
        $ref: './paths_cges_cms_esquemas.yaml' 
    /cgescms/esquemas/{uuidEsquema}:
        $ref: './paths_cges_cms_esquemas_id.yaml' 
    /cgescms/gruposlogicos:
        $ref: './paths_cges_cms_gruposlogicos.yaml'
    /cgescms/gruposlogicos/{idGrupoLogico}:
        $ref: './paths_cges_cms_gruposlogicos_id.yaml'
    /cgescms/instanciasbbdd:
        $ref: './paths_cges_cms_instanciasbbdd.yaml'
    /cgescms/instanciasbbdd/{uuidInstanciaBBDD}:
        $ref: './paths_cges_cms_instanciasbbdd_id.yaml'
    /cgescms/instanciasbbdd/{uuidInstanciaBBDD}/infraestructura:
        $ref: './paths_cges_cms_instanciasbbdd_id_infraestructura.yaml'
    /cgescms/instanciasbbdd/{uuidInstanciaBBDD}/infraestructura/{uuidServidor}:
        $ref: './paths_cges_cms_instanciasbbdd_id_infraestructura_id.yaml'
    /cgescms/plataformas:
        $ref: './paths_cges_cms_plataformas.yaml'
    /cgescms/plataformas/{uuidPlataforma}:
        $ref: './paths_cges_cms_plataformas_id.yaml'
    /cgescms/plataformas/aplicacion: 
        $ref: './paths_cges_cms_plataformas_aplicacion.yaml'
    /cgescms/plataformas/clasificaciones:
        $ref: './paths_cges_cms_plataformas_clasificaciones.yaml'
    /cgescms/plataformas/clasificaciones/{idClasificacion}:  
        $ref: './paths_cges_cms_plataformas_clasificaciones_id.yaml'
    /cgescms/relgrplogentplats:
        $ref: './paths_cges_cms_relgrplogentplats.yaml'
    /cgescms/relgrplogentplats/{idRelGrpLogEntPlat}:
        $ref: './paths_cges_cms_relgrplogentplats_id.yaml'
    /cgescms/relinstanciassoftware:
        $ref: './paths_cges_cms_relinstanciassoftware.yaml'
    /cgescms/relinstanciassoftware/{idRelInstanciaSoftware}:
        $ref: './paths_cges_cms_relinstanciassoftware_id.yaml'
        
    #Recursos de infraestructura
    
    /cgescms/recursos/infraestructura:
        $ref: './paths_cges_cms_recursos_infraestructura.yaml'
    /cgescms/recursos/infraestructura/{uuidRecurso}:
        $ref: './paths_cges_cms_recursos_infraestructura_id.yaml'
    /cgescms/recursos/infraestructura/{uuidRecurso}/contratos:    
        $ref: './paths_cges_cms_recursos_infraestructura_id_contratos.yaml'
    /cgescms/recursos/infraestructura/{uuidRecurso}/historico:
        $ref: './paths_cges_cms_recursos_infraestructura_id_historico.yaml'
    /cgescms/recursos/infraestructura/{uuidRecurso}/mdr:
        $ref: './paths_cges_cms_recursos_infraestructura_id_mdr.yaml'
    /cgescms/recursos/infraestructura/{uuidRecurso}/mdr/{idMdr}:
        $ref: './paths_cges_cms_recursos_infraestructura_id_mdr_id.yaml'
    /cgescms/recursos/infraestructura/lineas/{uuidLinea}/routers:
        $ref: './paths_cges_cms_recursos_infraestructura_lineas_id_routers.yaml'
    /cgescms/recursos/infraestructura/lineas/{uuidLinea}/routers/{uuidRouter}:
        $ref: './paths_cges_cms_recursos_infraestructura_lineas_id_routers_id.yaml'
    /cgescms/recursos/infraestructura/maquinasvirtuales/{uuidRecurso}:
        $ref: './paths_cges_cms_recursos_infraestructura_maquinasvirtuales_id.yaml'  
    /cgescms/recursos/infraestructura/puestostrabajo/{uuidRecurso}:
        $ref: './paths_cges_cms_recursos_infraestructura_puestostrabajo_id.yaml'
    /cgescms/recursos/infraestructura/puestostrabajo/direccionamientos:
        $ref: './paths_cges_cms_recursos_infraestructura_puestostrabajo_direccionamientos.yaml'  
    /cgescms/recursos/infraestructura/redes/{uuidRecurso}:
        $ref: './paths_cges_cms_recursos_infraestructura_redes_id.yaml'  
    /cgescms/recursos/infraestructura/servidores/{uuidRecurso}:
        $ref: './paths_cges_cms_recursos_infraestructura_servidores_id.yaml'  
        
    #Tablas maestras de CMS
    
    /cgescms/agrupaciones:
        $ref: './paths_cges_cms_agrupaciones.yaml'
    /cgescms/aplicaciones/{uuidAplicacion}/clientes:
        $ref: './paths_cges_cms_aplicaciones_id_clientes.yaml'
    /cgescms/ambitosoca:
        $ref: './paths_cges_cms_ambitos_oca.yaml'    
    /cgescms/ambitostic:
        $ref: './paths_cges_cms_ambitostic.yaml'        
    /cgescms/aplicaciones/categorias:
        $ref: './paths_cges_cms_aplicaciones_categorias.yaml' 
    /cgescms/areasnegocio:
        $ref: './paths_cges_cms_areasnegocio.yaml'
    /cgescms/areasstic:
        $ref: './paths_cges_cms_areasstic.yaml'
    /cgescms/catalogossoftware/certificados/tipos:  
        $ref: './paths_cges_cms_catalogossoftware_certificados_tipos.yaml'
    /cgescms/clientes:
        $ref: './paths_cges_cms_clientes.yaml'
    /cgescms/componentes/{uuidComponente}/tecnologiasdesarrollo:
        $ref: './paths_cges_cms_componentes_id_tecnologiasdesarrollo.yaml'
    /cgescms/componentes/{uuidComponente}/tecnologiasdesarrollo/{idTecnologiaDesarrollo}:
        $ref: './paths_cges_cms_componentes_id_tecnologiasdesarrollo_id.yaml'
    /cgescms/contratos:
        $ref: './paths_cges_cms_contratos.yaml' 
    /cgescms/contratos/empresas:
        $ref: './paths_cges_cms_contratos_empresas.yaml' 
    /cgescms/enlaces:
        $ref: './paths_cges_cms_enlaces.yaml' 
    /cgescms/enlaces/categorias:
        $ref: './paths_cges_cms_enlaces_categorias.yaml' 
    /cgescms/enlaces/estados:
        $ref: './paths_cges_cms_enlaces_estados.yaml' 
    /cgescms/entornos:
        $ref: './paths_cges_cms_entornos.yaml' 
    /cgescms/horarios:
        $ref: './paths_cges_cms_horarios.yaml' 
    /cgescms/instanciasbbdd/tipos:    
        $ref: './paths_cges_cms_instanciasbbdd_tipos.yaml' 
    /cgescms/nivelesrecepcion:
        $ref: './paths_cges_cms_nivelesrecepcion.yaml'   
    /cgescms/periodoscriticos:    
        $ref: './paths_cges_cms_periodoscriticos.yaml'   
    /cgescms/plataformas/fases:
        $ref: './paths_cges_cms_plataformas_fases.yaml'  
    /cgescms/procesadores/tipos: 
        $ref: './paths_cges_cms_procesadores_tipos.yaml'  
    /cgescms/replicaciones/instancias/tipos:    
        $ref: './paths_cges_cms_replicaciones_instancias_tipos.yaml'  
    /cgescms/replicaciones/tipos:
        $ref: './paths_cges_cms_replicaciones_tipos.yaml' 
    /cgescms/tecnologias:
        $ref: './paths_cges_cms_tecnologias.yaml' 
    /cgescms/tecnologias/clasificaciones:
        $ref: './paths_cges_cms_tecnologias_clasificaciones.yaml'
    /cgescms/tecnologiasdesarrollo:
        $ref: './paths_cges_cms_tecnologias_desarrollo.yaml'
    /cgescms/tiposgestion:
        $ref: './paths_cges_cms_tiposgestion.yaml' 
